.postBody {
    font: 16px/1.6 "Roboto","Helvetica","Arial",sans-serif;
    color: #333;
}

#cnblogs_post_body h1,
#cnblogs_post_body h2,
#cnblogs_post_body h3,
#cnblogs_post_body h4,
#cnblogs_post_body h5,
#cnblogs_post_body h6,
#cnblogs_post_body>p,
#cnblogs_post_body>ul,
#cnblogs_post_body>ol,
#cnblogs_post_body>pre,
#cnblogs_post_body>img {
	margin-bottom: 1.5rem;
}

#cnblogs_post_body h1 {
    margin-top: 3rem;
    color: #b37399;
}

#cnblogs_post_body h2,
#cnblogs_post_body h5 {
    margin-top: 1.5rem;
    color: #6b7885;
    text-transform: uppercase;
    font-size: 21px;
}

.postBody a:link, .postBody a:visited, .postBody a:active {
	color: inherit;
}

#cnblogs_post_body ol {
    padding-left: 60px;
}

:not(pre)>code {
    vertical-align: top;
    color: #b37399;
    font-family: "Source Code Pro", "Courier New", monospace;
    font-size: 1em;
}

.note {
    margin-bottom: 1.5rem;
    background: #eee;
    padding: 1rem;
    border: 1px solid rgba(0,0,0,0.1);
}

/*------------------------------------*\
    #代码高亮
\*------------------------------------*/

.cnblogs_code {
    margin-bottom: 1.5rem;
    border: 1px solid rgba(0,0,0,0.1);
    background: #444;
    color: white;
}

#cnblogs_post_body .cnblogs_code pre {
    font: 16px/1.6 "Source Code Pro","Courier New",monospace!important;
	margin-top: 0;
	margin-bottom: 0;
	padding: 1rem;
}

#cnblogs_post_body .cnblogs_code span,
#cnblogs_post_body .cnblogs_code p {
    font: 16px/1.6 "Source Code Pro","Courier New",monospace!important;
}

.cnblogs_code div {
	background-color: inherit;
}

.cnblogs_code_toolbar a:hover, .cnblogs_code_toolbar a:link, .cnblogs_code_toolbar a:visited, .cnblogs_code_toolbar a:active, .cnblogs_code_toolbar a:link img, .cnblogs_code_toolbar a:visited img {
	background-color: inherit!important;
}

.cnblogs_code > pre {
    margin-top: 0;
    margin-bottom: 0;
    padding: 1rem;
}

.cnblogs_code code,
.cnblogs_code pre {
    font-family: 'Source Code Pro', 'Courier New', monospace;
    color: #fdce93;
}

.cnblogs_code .hll {
    background-color: #222;
}

.cnblogs_code .c {
    color: #7f9f7f;
}

.cnblogs_code .err {
    color: #e37170;
    background-color: #3d3535;
}

.cnblogs_code .g {
    color: #7f9f7f;
}

.cnblogs_code .k {
    color: #f0dfaf;
}

.cnblogs_code .l {
    color: #ccc;
}

.cnblogs_code .n {
    color: #dcdccc;
}

.cnblogs_code .o {
    color: #f0efd0;
}

.cnblogs_code .x {
    color: #ccc;
}

.cnblogs_code .p {
    color: #5da09f;
}

.cnblogs_code .cm {
    color: #7f9f7f;
}

.cnblogs_code .cp {
    color: #7f9f7f;
}

.cnblogs_code .c1 {
    color: #7f9f7f;
}

.cnblogs_code .cs {
    font-weight: bold;
    color: #cd0000;
}

.cnblogs_code .gd {
    color: #cd0000;
}

.cnblogs_code .ge {
    font-style: italic;
    color: #ccc;
}

.cnblogs_code .gr {
    color: red;
}

.cnblogs_code .gh {
    font-weight: bold;
    color: #dcdccc;
}

.cnblogs_code .gi {
    color: #00cd00;
}

.cnblogs_code .go {
    color: gray;
}

.cnblogs_code .gp {
    font-weight: bold;
    color: #dcdccc;
}

.cnblogs_code .gs {
    font-weight: bold;
    color: #ccc;
}

.cnblogs_code .gu {
    font-weight: bold;
    color: purple;
}

.cnblogs_code .gt {
    color: #0040d0;
}

.cnblogs_code .kc {
    color: #dca3a3;
}

.cnblogs_code .kd {
    color: #ffff86;
}

.cnblogs_code .kn {
    font-weight: bold;
    color: #dfaf8f;
}

.cnblogs_code .kp {
    color: #cdcf99;
}

.cnblogs_code .kr {
    color: #cdcd00;
}

.cnblogs_code .kt {
    color: #00cd00;
}

.cnblogs_code .ld {
    color: #cc9393;
}

.cnblogs_code .m {
    color: #8cd0d3;
}

.cnblogs_code .s {
    color: #cc9393;
}

.cnblogs_code .na {
    color: #9ac39f;
}

.cnblogs_code .nb {
    color: #efef8f;
}

.cnblogs_code .nc {
    color: #efef8f;
}

.cnblogs_code .no {
    color: #ccc;
}

.cnblogs_code .nd {
    color: #ccc;
}

.cnblogs_code .ni {
    color: #c28182;
}

.cnblogs_code .ne {
    font-weight: bold;
    color: #c3bf9f;
}

.cnblogs_code .nf {
    color: #efef8f;
}

.cnblogs_code .nl {
    color: #ccc;
}

.cnblogs_code .nn {
    color: #8fbede;
}

.cnblogs_code .nx {
    color: #ccc;
}

.cnblogs_code .py {
    color: #ccc;
}

.cnblogs_code .nt {
    color: #9ac39f;
}

.cnblogs_code .nv {
    color: #dcdccc;
}

.cnblogs_code .ow {
    color: #f0efd0;
}

.cnblogs_code .w {
    color: #ccc;
}

.cnblogs_code .mf {
    color: #8cd0d3;
}

.cnblogs_code .mh {
    color: #8cd0d3;
}

.cnblogs_code .mi {
    color: #8cd0d3;
}

.cnblogs_code .mo {
    color: #8cd0d3;
}

.cnblogs_code .sb {
    color: #cc9393;
}

.cnblogs_code .sc {
    color: #cc9393;
}

.cnblogs_code .sd {
    color: #cc9393;
}

.cnblogs_code .s2 {
    color: #cc9393;
}

.cnblogs_code .se {
    color: #cc9393;
}

.cnblogs_code .sh {
    color: #cc9393;
}

.cnblogs_code .si {
    color: #cc9393;
}

.cnblogs_code .sx {
    color: #cc9393;
}

.cnblogs_code .sr {
    color: #cc9393;
}

.cnblogs_code .s1 {
    color: #cc9393;
}

.cnblogs_code .ss {
    color: #cc9393;
}

.cnblogs_code .bp {
    color: #efef8f;
}

.cnblogs_code .vc {
    color: #efef8f;
}

.cnblogs_code .vg {
    color: #dcdccc;
}

.cnblogs_code .vi {
    color: #ffffc7;
}

.cnblogs_code .il {
    color: #8cd0d3;
}

.back-to-top {
  visibility: hidden;
  background-color: #2c3e50;
  color: #fff;
  width: 42px;
  height: 42px;
  text-align: center;
  line-height: 46px;
  position: fixed;
  bottom: 60px;
  right: 140px;
  z-index: 90;
  cursor: pointer;
  border-radius: 3px;
  -webkit-transform: translateZ(0);
  transition: all .4s
}

.back-to-top a {
    color: #fff;
    font-size: 18px;
}

.back-to-top:hover {
  background-color: #b37399;
  color: #fff;
  opacity: 1;
}

.back-to-top:hover a {
    color: #fff;
    text-decoration: none;
}

.back-to-top.show {
  visibility: visible;
  opacity: 1;
}

/*------------------------------------*\
    #标签
\*------------------------------------*/
#EntryTag a {
    display: inline;
    padding: .2em .6em .3em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    color: #fff!important;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
    background-color: #f0ad4e;
    text-decoration: none;
    margin-right: 7px;
}

/*------------------------------------*\
    #按钮
\*------------------------------------*/
#green_channel {
    width: 370px;
}
#green_channel #green_channel_digg,
#green_channel #green_channel_follow,
#green_channel #green_channel_favorite {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

#green_channel #green_channel_digg:active,
#green_channel #green_channel_follow:active,
#green_channel #green_channel_favorite:active {
    background-image: none;
    outline: 0;
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
}

/*蓝色*/
#green_channel #green_channel_digg {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

#green_channel #green_channel_digg:hover {
    background-color: #286090;
    border-color: #204d74;
}
/*红色*/
#green_channel #green_channel_follow {
    color: #fff;
    background-color: #d9534f;
    border-color: #d43f3a;
}
#green_channel #green_channel_follow:hover {
    background-color: #c9302c;
    border-color: #ac2925;
}

/*橙色*/
#green_channel #green_channel_favorite {
    color: #fff;
    background-color: #f0ad4e;
    border-color: #eea236;
}

#green_channel #green_channel_favorite:hover {
    background-color: #ec971f;
    border-color: #d58512;
}